View Issue Details

IDProjectCategoryView StatusLast Update
00026921 - BacklogEnhancementpublic2018-04-24 09:48
ReporterKB3NPHAssigned To 
PrioritylowSeverityminorReproducibilityhave not tried
Status newResolutionopen 
Summary0002692: Ticket #970470 - Inconsistency in Rig Selection between DM and LB when multiple radios connected to HRD.
DescriptionMike Flowers posted 04/23/2018 12:08 PM
DM-780 always selects the right-most radio tab in Rig Control and connects to it. I've tested this by having the open rig tabs in different orders, and DM-780 always connects to rig of the right-most tab.

If Rig Control has more than one rig connected, then DM-780 should offer the user the choice of which radio to use, just as Logbook does.
 DM-780 single radio.JPG460.3 kb
 Created by AvatarMike 04/23/2018 12:08 PM

Avatar
Tim (KB3NPH) posted 04/23/2018 1:07 PM
I have tested his using anywhere from 2 to 6 radios connected. DM-780 starts using the radio that's selected in the foreground of the Rig Control program as it's designed to do. There is nothing wrong with the way the radios are selected since you can only use one radio at a time. To change radios in DM when there are multiple radios connected in Rig Control, just bring which ever radio you are using in Rig Control to the foreground, then in DM, click on "File > Restart" and it will connect to the radio that's running in the foreground of the Rig Control software.


 Closed by AvatarTim (KB3NPH) with status of Closed 04/23/2018 1:07 PM

Avatar
Mike posted 04/23/2018 9:46 PM
>>> There is nothing wrong with the way the radios are selected since you can only use one radio at a time.

Logbook can only use one radio at a time, and yet it offers the Customer the option of choosing which radio to use. So the reason for the difference between DM-780's radio selection protocol and that of the Logbook escapes me.

>>> click on "File > Restart" and it will connect to the radio that's running in the foreground of the Rig Control software.

If you click on "File > Restart" the Rig Control process terminates and restarts. In the event that the Customer has more than one radio connected to Rig Control, all these connections are terminated, and the Customer must re-connect to each of these to return to the previous state. I often will run with two or three radios connected to Rig Control.

Logbook and DM-780 should be consistent in their process of connecting to Rig Control, and offer the Customer the choice of connected radios, rather than forcing the Customer connecting DM-780 to effectively reconfigure and restart Rig Control in order to connect to the desired radio.


 Reopened by mike.flowers@gmail.com 04/23/2018 9:46 PM

Avatar
Tim (KB3NPH) posted 04/24/2018 1:20 AM
Mike,
Doing a restart of DM does NOT restart or disconnect the Rig Control. Using multiple radios has operated in this way since 2006 and this is the very first complaint I've seen on this is the past 6 years, but I'll go ahead and enter another enhancement request just for you.


Avatar
Mike posted 04/24/2018 9:53 AM
How very odd. When I click on "File > Restart", I can watch the Rig Control process terminate and restart using Task Manager. When Rig Control restarts, only one radio is reconnected. The radio that is reconnected is the last one selected using the 'Connect' dialogue box.

Pointing out an inconsistency is not a complaint nor is it an enhancement request; it is merely an inconsistency.
TagsNo tags attached.
ModuleDM780
Sub-ModuleGeneral
TestingNot Started

Activities

There are no notes attached to this issue.

Issue History

Date Modified Username Field Change
2018-04-24 09:48 KB3NPH New Issue